*{
  margin: 0;
  padding: 0;
}
body {
  font-family: Arial, sans-serif;
  background-color:#050306;
}
a{
  text-decoration: none;
}
img{
  height: 100%;
  width: 100%;
}
:root{
    --shadow:#83838378;
    --bgcolor:#2387fa;
    --jhatucolor:#000000;
    --small: #333333;
    --wh:#ffffff;
    --gra:#aeaeae9c;
    --head:#1c0000;
    --bgshadow:#ffffff8c;
}

.main_bg{
  height: 400px;
  width: 100%;
  background-image: url(../img/33.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  /* position: relative; */
  justify-items: center;
}
.main_head{
  /* border-top:2px solid var(--bgcolor); */
  height: auto;
  /* border-radius: 5px; */
  width: 350px;
  text-align: center;
  font-size: 40px;
  color: var(--wh);
  position: relative;
  top: 128px;
  font-weight: 700;
  text-shadow: 1px 1px 2px var(--head);

}
.main_head::after{
  content: '';
  height: 9.5%;
  width: 60%;
  top: 98%;
  left: 17%;
  transition: all ease 1s;
  background-image:linear-gradient(to right,rgba(0,0,0,.246),var(--bgcolor),rgba(0,0,0,.246));
  position: absolute;
}
.main_head::before{
  content: '';
  height: 9.5%;
  width: 60%;
  top: 118%;
  left: 27%;

  background-image:linear-gradient(to right,rgba(0,0,0,.246),var(--bgcolor),rgba(0,0,0,.246));
  position: absolute;
}
@keyframes ll{
  0%{
    left: 0;
  }
  100%{
    left: 70%;
  }
}
/* @keyframes lll{
 0%{
    left: 70%;
  }
  100%{
    left: 0;
  }
} */
.books_box{
  /* border: 1px solid red; */
  height: auto;
  width: 70%;
  position: relative;
  top: 190px;
  display: flex;
  justify-content: space-evenly;
}
.sub_books{
  height:250px;
  width: 180px;
  border-radius: 8px;
  overflow: hidden;
  transition: all ease .5s;
}
.sub_books:hover{
  transform: translateY(-10px) scale(1.1);
  box-shadow:3px 3px 10px 2px var(--small);

}

.animate{
  padding: 2px 15px;
  font-weight: 700;
  font-size: 30px;
  /* background-color: var(--jhatucolor); */
  color: var(--wh);
  position: relative;
  margin:50px 0px;
}
.animate::after{
  content: '';
  height: 10%;
  width: 30%;
  top: 100%;
  left: 0;
  transition: all ease 1s;
  animation: ll 3s infinite linear alternate-reverse;
  background-image:linear-gradient(to right,rgba(0,0,0,.246),var(--bgcolor),rgba(0,0,0,.246));
  position: absolute;
}


.open_re_box{
  background-color: red;
  width: 80%;
  height: auto;
}
.resources{
  margin-top: 70px;
  width:100%;
  height: auto;
  padding: 50px 0px;
  background:url(../img/11.png);
  background-size: 100% 100%;
}
.resources_sub-hadding{
    height: auto;
    width:100%;
    display:flex;
    padding-left: 20px;
    align-items: center;
    margin-bottom: 25px;
}
.head{
    font-size: 25px;
    color:var(--wh);
    text-shadow:1px 1px 3px var(--shadow);
    font-weight: 700;
}
.hedding{
    font-size: 12px;
    color: var(--small);
    font-weight: 300;
    text-shadow: 0 0 0 var(--small);
}
.resource_ed{
    height: auto;
    width: auto;
    padding:10px 16px;
    margin-right:10px;
    border-radius: 8px;
    font-size: 25px;
    font-weight: 600;
    color: var(--wh);
    background-color: var(--bgcolor);
    text-shadow:2px 2px 3px var(--shadow);

}

.but{
    height: 36px;
    padding:0px 20px;
    border-radius: 6px;
    background-color: var(--small);
    outline-color: var(--bgcolor);
    border: 2px solid var(--shadow);
    cursor: pointer;
    color: var(--wh);

}
.all_class_box{
  /* border: 1px solid red; */
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
}
.gondogol{
    width: 72%;
    height: auto;
    justify-items: center;
}
.all_class{
    width: auto;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}
.all_class-sub{
    height: 160px;

    width: 270px;
    border-radius: 10px;
    background-image: linear-gradient(to bottom,var(--wh),var(--shadow));
    align-content: center;
    margin-bottom: 15px;
    margin-left: 15px;
    box-shadow: 4px 4px 12px -4px var(--shadow);
    transition: all ease .5s;
}
.all_class-sub:hover{
  transform: translateY(-6px);
}
.all_class-sub-pdf{
    width: 75px;
    height: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: end;
    
}
.all_class-sub h4{
  margin-left: 20px;

}
.all_class-sub p{
  margin-left: 20px;
}
p{
    font-size: 12px;
    color: var(--small);
    margin-bottom: 4px;
    align-content: center;
}
.all_class-sub-view{
  margin-top: 29px;
  /* border: 1px solid red; */
    height: 30px;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.space h4{
    font-size: 16px;
    color: var(--head);
}
.dd{
    height:auto;
    width: auto;
    align-content:center;
    justify-content: center;
}
.zz{
    border: none;
    padding:6px 12px;
    border-radius: 8px;
    background-color: var(--bgcolor);
    color:var(--wh);
    cursor: pointer;
}
.zz a{
  text-decoration: none;
  color: var(--wh);
}

.all_sub-pdf{
    width: 70%;
    padding:3px 0px;
    font-size: 14px;
    border-radius: 15px;
    text-align: center;
    color: var(--small);
    font-weight: 500;
    background-color: var(--gra);
    border: 1px solid var(--shadow);
    margin-bottom: 6px;
}
.space{
    width:100%;
    display: flex;
    justify-content: space-around;
    font-size: 14px;
    color: var(--small);
    height: auto;
    /* margin-bottom: 32px; */
}
.space_sub2{
  height: auto;
  width:25%;
  justify-items: center;
}

#all_box{
    height:700px;
    width: 300px;
    border-radius: 8px;
    padding:10px 6px 10px 6px;
    /* background-color: var(--wh); */
    background-image: linear-gradient(to right,var(--wh),var(--bgshadow),var(--wh));
    margin-right: 5px;
  box-shadow:-3px 3px 10px 0px var(--gra);
    position: sticky;
    top: 15px;
}
.pdfile{
    width: 95%;
    background-color: var(--gra);
    padding: 3px 0px 3px 8px;
    border-radius:6px;
    display: inline-block;
    margin-bottom: 5px;
    font-size: 14px;
    text-decoration: none;
}
h3{
    margin:10px 0px;
}
.video{
    height: 140px;
    overflow: hidden;
    width: 96%;
    border-radius: 6px;
    /* border:1px solid red; */
}
.sub_details{
    padding-left: 5px;
    height: 350px;
    width: 100%;
    overflow-Y:auto;
    color: var(--small);
    line-height: 1.5;
    font-size: 14px;
    font-weight:420;
    /* background-color: var(--wh); */
}
@media (max-width:1024px){
  .sub_details{
    height: 300px;
  }
}
@media (max-width:631px){
  .all_class_box{
    display: block;
    justify-items: center;
  }
  #resource_deatils{
    font-size: 2vw;
  }
  .but{
    font-size: 2vw;
  }
  .resource_scarch{
    display: none;
  }
  .sub_books{
    height: 150px;
    width: 98px;
  }
}
@media (max-width:480px){
  .sub_books{
    height: 120px;
    width: 70px;
  }
  .main_head{
    font-size:5vw ;
    width: auto;
  }
}